body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f7f9;
}

.login-container {
   display: flex;
    /* Ajusta la altura del contenedor al 100% de la ventana */
    height: 99vh;
}

/* --- Sección de la Imagen --- */
.login-image-section {
    flex: 1;
    display: none; /* Oculta en pantallas pequeñas */
}

.login-image-section img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* --- Sección del Formulario --- */
.login-form-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.form-wrapper {
    width: 100%;
    max-width: 400px;
    background: #fff;
    padding: 40px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
    text-align: center;
}

.login-logo {
    max-width: 150px;
    margin-bottom: 20px;
}

.form-title {
    font-size: 28px;
    color: #002D62; /* Azul oscuro de Einsur */
    margin-bottom: 5px;
}

.form-subtitle {
    font-size: 18px;
    color: #666;
    margin-bottom: 30px;
}

.input-group {
    text-align: left;
    margin-bottom: 20px;
}

.input-group label {
    display: block;
    margin-bottom: 5px;
    color: #444;
}

.input-group input {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 6px;
    font-size: 16px;
    box-sizing: border-box;
}

.forgot-password {
    display: block;
    text-align: right;
    margin-top: 8px;
    color: #007bff;
    text-decoration: none;
    font-size: 14px;
}

.login-button {
    width: 100%;
    padding: 12px;
    border: none;
    border-radius: 6px;
    background-color: #002D62; /* Azul oscuro de Einsur */
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.login-button:hover {
    background-color: #001f40;
}

.register-text {
    margin-top: 25px;
    font-size: 14px;
    color: #777;
}

.register-link {
    color: #007bff;
    text-decoration: none;
}

/* Media Query para pantallas pequeñas */
@media (min-width: 768px) {
    .login-image-section {
        display: block;
    }
}